org.eclipse.jetty.server.handler

## Interface ContextHandler.AliasCheck

- All Known Implementing Classes:
    ContextHandler.ApproveNonExistentDirectoryAliases, ContextHandler.ApprovePathPrefixAliases, ContextHandler.ApproveSameSuffixAliases
  Enclosing class:
    ContextHandler

      public static interface ContextHandler.AliasCheck

  Interface to check aliases

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(String path, Resource resource)` Check an alias

- - ### Method Detail

    - #### check

          boolean check(String path,
                      Resource resource)

      Check an alias
      Parameters:
        `path` - The path the aliased resource was created for
        `resource` - The aliased resourced
      Returns:
        True if the resource is OK to be served.

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.